## org.flexdock.dockbar
Class DockbarManager

    java.lang.Object
      org.flexdock.dockbar.DockbarManager

    public class DockbarManager

extends java.lang.Object

Author:
  Christopher Butler, Bobby Rosenberger, Mateusz Szczap

Field Summary
`protected Dockbar` `bottomBar`
`static int` `DEFAULT_EDGE`
`static java.lang.Integer` `DOCKBAR_LAYER`
`protected DockbarLayout` `dockbarLayout`
`protected Dockbar` `leftBar`
`protected Dockbar` `rightBar`
`protected ViewPane` `viewPane`
`protected java.lang.ref.WeakReference` `windowRef`

Constructor Summary
`protected` `DockbarManager(RootWindow window)`

Method Summary
`static void` `activate(Dockable dockable, boolean locked)`
`static void` `activate(java.lang.String dockableId, boolean locked)`
`static void` `addListener(DockbarListener listener)`
`boolean` `contains(Dockable dockable)`
`ActivationListener` `getActivationListener()`
`Dockable` `getActiveDockable()`
`java.lang.String` `getActiveDockableId()`
`int` `getActiveEdge()`
`Dockbar` `getBottomBar()`
`static DockbarManager` `getCurrent()`
`static DockbarManager` `getCurrent(Dockable dockable)`
`Dockbar` `getDockbar(Dockable dockable)`
`Dockbar` `getDockbar(int edge)`
`int` `getEdge(Dockable dockable)`
`int` `getEdge(java.lang.String dockableId)`
`static DockbarManager` `getInstance(java.awt.Component c)`
`static DockbarManager` `getInstance(RootWindow window)`
`DockbarLayout` `getLayout()`
`Dockbar` `getLeftBar()`
`int` `getPreferredViewpaneSize()`
`java.awt.Cursor` `getResizeCursor()`
`Dockbar` `getRightBar()`
`ViewPane` `getViewPane()`
`RootWindow` `getWindow()`
`protected void` `install()`
`boolean` `isActive()`
`boolean` `isAnimating()`
`boolean` `isDragging()`
`void` `minimize(Dockable dockable)`
`void` `minimize(Dockable dockable, int edge)`
`void` `reAdd(Dockable dockable)`
`boolean` `remove(Dockable dockable)`
`void` `restore(Dockable dockable)`
`void` `revalidate()`
`void` `setActiveDockable(Dockable dockable)`
`void` `setActiveDockable(java.lang.String dockableId)`
`void` `setAnimating(boolean animating)`
`static void` `setDockbarManager(java.lang.String className)` Sets a custom DockbarManager class which will be used to create new DockbarManager instances.
`void` `setDragging(boolean dragging)`
`void` `validate()`
`static void` `windowChanged(java.awt.Component newWindow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCKBAR_LAYER

    public static final java.lang.Integer DOCKBAR_LAYER

### DEFAULT_EDGE

    public static final int DEFAULT_EDGE

See Also:
  Constant Field Values

### windowRef

    protected java.lang.ref.WeakReference windowRef

### leftBar

    protected Dockbar leftBar

### rightBar

    protected Dockbar rightBar

### bottomBar

    protected Dockbar bottomBar

### viewPane

    protected ViewPane viewPane

### dockbarLayout

    protected DockbarLayout dockbarLayout

Constructor Detail

### DockbarManager

    protected DockbarManager(RootWindow window)

Method Detail

### getInstance

    public static DockbarManager getInstance(java.awt.Component c)

### getInstance

    public static DockbarManager getInstance(RootWindow window)

### setDockbarManager

    public static void setDockbarManager(java.lang.String className)

  Sets a custom DockbarManager class which will be used to create new DockbarManager instances.

  Parameters:
    `className` - Classname of your custom DockbarManager.

### getCurrent

    public static DockbarManager getCurrent(Dockable dockable)

### windowChanged

    public static void windowChanged(java.awt.Component newWindow)

### getCurrent

    public static DockbarManager getCurrent()

### addListener

    public static void addListener(DockbarListener listener)

### activate

    public static void activate(java.lang.String dockableId,
                                boolean locked)

### activate

    public static void activate(Dockable dockable,
                                boolean locked)

### getWindow

    public RootWindow getWindow()

### install

    protected void install()

### getBottomBar

    public Dockbar getBottomBar()

### getLeftBar

    public Dockbar getLeftBar()

### getRightBar

    public Dockbar getRightBar()

### getViewPane

    public ViewPane getViewPane()

### revalidate

    public void revalidate()

### validate

    public void validate()

### getEdge

    public int getEdge(java.lang.String dockableId)

### getEdge

    public int getEdge(Dockable dockable)

### getDockbar

    public Dockbar getDockbar(Dockable dockable)

### getDockbar

    public Dockbar getDockbar(int edge)

### minimize

    public void minimize(Dockable dockable)

### minimize

    public void minimize(Dockable dockable,
                         int edge)

### reAdd

    public void reAdd(Dockable dockable)

### restore

    public void restore(Dockable dockable)

### remove

    public boolean remove(Dockable dockable)

### getActiveEdge

    public int getActiveEdge()

### getActiveDockableId

    public java.lang.String getActiveDockableId()

### getActiveDockable

    public Dockable getActiveDockable()

### getResizeCursor

    public java.awt.Cursor getResizeCursor()

### isActive

    public boolean isActive()

### setActiveDockable

    public void setActiveDockable(java.lang.String dockableId)

### setActiveDockable

    public void setActiveDockable(Dockable dockable)

### getPreferredViewpaneSize

    public int getPreferredViewpaneSize()

### isAnimating

    public boolean isAnimating()

### setAnimating

    public void setAnimating(boolean animating)

### isDragging

    public boolean isDragging()

### setDragging

    public void setDragging(boolean dragging)

### getActivationListener

    public ActivationListener getActivationListener()

### contains

    public boolean contains(Dockable dockable)

### getLayout

    public DockbarLayout getLayout()